> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Put Member

> Add a running VM sandbox to the network, or replace its tags. Members
reach each other at ``<sandbox-id>.sandbox.internal``.



## OpenAPI

````yaml https://api.primeintellect.ai/api/v1/sandbox/openapi.json put /api/v1/sandbox/networks/{network_id}/members/{sandbox_id}
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/sandbox/networks/{network_id}/members/{sandbox_id}:
    put:
      tags:
        - Sandbox Networks
      summary: Put Member
      description: |-
        Add a running VM sandbox to the network, or replace its tags. Members
        reach each other at ``<sandbox-id>.sandbox.internal``.
      operationId: put_member_api_v1_sandbox_networks__network_id__members__sandbox_id__put
      parameters:
        - name: network_id
          in: path
          required: true
          schema:
            type: string
            title: Network Id
        - name: sandbox_id
          in: path
          required: true
          schema:
            type: string
            title: Sandbox Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PutMemberRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NetworkMemberResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    PutMemberRequest:
      properties:
        tags:
          items:
            type: string
            pattern: ^[a-z0-9][a-z0-9_.-]{0,62}$
          type: array
          maxItems: 16
          title: Tags
      type: object
      title: PutMemberRequest
    NetworkMemberResponse:
      properties:
        sandbox_id:
          type: string
          title: Sandbox Id
        tags:
          items:
            type: string
          type: array
          title: Tags
        synced:
          type: boolean
          title: Synced
      type: object
      required:
        - sandbox_id
        - tags
        - synced
      title: NetworkMemberResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````